be.fgov.ehealth.ehbox.consultation.protocol.v3

## Class Message

- java.lang.Object
- - be.fgov.ehealth.ehbox.consultation.protocol.v3.Message

- All Implemented Interfaces:
    Serializable

      @Generated(value="com.sun.tools.xjc.Driver",
                 date="2025-10-31T09:54:40+01:00",
                 comments="JAXB RI v2.3.7")
      public class Message
      extends Object
      implements Serializable

  Java class for anonymous complex type.

  The following schema fragment specifies the expected content contained within this class.

       <complexType>
         <complexContent>
           <restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
             <sequence>
               <element name="MessageId" type="{urn:be:fgov:ehealth:ehbox:core:v3}MessageIdType"/>
               <element name="Destination" type="{urn:be:fgov:ehealth:ehbox:core:v3}EhboxIdentifierType"/>
               <element name="Sender" type="{urn:be:fgov:ehealth:ehbox:core:v3}SenderType"/>
               <element name="MessageInfo" type="{urn:be:fgov:ehealth:ehbox:core:v3}MessageInfoType"/>
               <element name="ContentInfo" type="{urn:be:fgov:ehealth:ehbox:core:v3}ContentInfoType" minOccurs="0"/>
               <element name="ContentSpecification" type="{urn:be:fgov:ehealth:ehbox:core:v3}ContentSpecificationType"/>
               <element name="CustomMeta" type="{urn:be:fgov:ehealth:ehbox:core:v3}CustomMetaType" maxOccurs="unbounded" minOccurs="0"/>
             </sequence>
           </restriction>
         </complexContent>
       </complexType>

  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `Message()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `ContentInfoType` | `getContentInfo()` Gets the value of the contentInfo property.
    `ContentSpecificationType` | `getContentSpecification()` Gets the value of the contentSpecification property.
    `List<CustomMetaType>` | `getCustomMetas()` Gets the value of the customMetas property.
    `EhboxIdentifierType` | `getDestination()` Gets the value of the destination property.
    `String` | `getMessageId()` Gets the value of the messageId property.
    `MessageInfoType` | `getMessageInfo()` Gets the value of the messageInfo property.
    `SenderType` | `getSender()` Gets the value of the sender property.
    `void` | `setContentInfo(ContentInfoType value)` Sets the value of the contentInfo property.
    `void` | `setContentSpecification(ContentSpecificationType value)` Sets the value of the contentSpecification property.
    `void` | `setDestination(EhboxIdentifierType value)` Sets the value of the destination property.
    `void` | `setMessageId(String value)` Sets the value of the messageId property.
    `void` | `setMessageInfo(MessageInfoType value)` Sets the value of the messageInfo property.
    `void` | `setSender(SenderType value)` Sets the value of the sender property.

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### Message

          public Message()

  - ### Method Detail

    - #### getMessageId

          public String getMessageId()

      Gets the value of the messageId property.
      Returns:
        possible object is `String`

    - #### setMessageId

          public void setMessageId(String value)

      Sets the value of the messageId property.
      Parameters:
        `value` - allowed object is `String`

    - #### getDestination

          public EhboxIdentifierType getDestination()

      Gets the value of the destination property.
      Returns:
        possible object is `EhboxIdentifierType`

    - #### setDestination

          public void setDestination(EhboxIdentifierType value)

      Sets the value of the destination property.
      Parameters:
        `value` - allowed object is `EhboxIdentifierType`

    - #### getSender

          public SenderType getSender()

      Gets the value of the sender property.
      Returns:
        possible object is `SenderType`

    - #### setSender

          public void setSender(SenderType value)

      Sets the value of the sender property.
      Parameters:
        `value` - allowed object is `SenderType`

    - #### getMessageInfo

          public MessageInfoType getMessageInfo()

      Gets the value of the messageInfo property.
      Returns:
        possible object is `MessageInfoType`

    - #### setMessageInfo

          public void setMessageInfo(MessageInfoType value)

      Sets the value of the messageInfo property.
      Parameters:
        `value` - allowed object is `MessageInfoType`

    - #### getContentInfo

          public ContentInfoType getContentInfo()

      Gets the value of the contentInfo property.
      Returns:
        possible object is `ContentInfoType`

    - #### setContentInfo

          public void setContentInfo(ContentInfoType value)

      Sets the value of the contentInfo property.
      Parameters:
        `value` - allowed object is `ContentInfoType`

    - #### getContentSpecification

          public ContentSpecificationType getContentSpecification()

      Gets the value of the contentSpecification property.
      Returns:
        possible object is `ContentSpecificationType`

    - #### setContentSpecification

          public void setContentSpecification(ContentSpecificationType value)

      Sets the value of the contentSpecification property.
      Parameters:
        `value` - allowed object is `ContentSpecificationType`

    - #### getCustomMetas

          public List<CustomMetaType> getCustomMetas()

      Gets the value of the customMetas property.

      This accessor method returns a reference to the live list, not a snapshot. Therefore any modification you make to the returned list will be present inside the JAXB object. This is why there is not a `set` method for the customMetas property.

      For example, to add a new item, do as follows:

              getCustomMetas().add(newItem);

      Objects of the following type(s) are allowed in the list `CustomMetaType`

Connector Packaging PERSOCCUPATIONALTHERAPIST 4.8.4 API
Copyright © {inceptionYear}-2025 eHealth. All Rights Reserved.